## kdepim-addons 22.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.22.3")

project(kdepim-addons VERSION ${PIM_VERSION})

set(KF5_MIN_VERSION "5.99.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH  ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/ ${ECM_MODULE_PATH})

# Do NOT add quote
set(KDEPIM_DEV_VERSION )

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
  set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIMADDONS_VERSION_NUMBER ${PIM_VERSION})
set(KDEPIMADDONS_VERSION "${KDEPIMADDONS_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")

set(KDEPIMADDONS_LIB_VERSION "${KDEPIMADDONS_VERSION_NUMBER}")
set(KDEPIMADDONS_LIB_SOVERSION "5")

set(QT_REQUIRED_VERSION "5.15.2")
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
endif()


include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(CheckFunctionExists)
include(ECMGeneratePriFile)


include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)

option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)

find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED WebEngineWidgets Widgets Test)

if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6Core5Compat)
endif()

find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Declarative ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5SyntaxHighlighting ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Parts ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Prison ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Holidays ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5GuiAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)

set(MAILCOMMON_LIB_VERSION "5.22.3")
set(GRAVATAR_LIB_VERSION "5.22.3")
set(PIMCOMMON_LIB_VERSION "5.22.3")
set(GRANTLEETHEME_LIB_VERSION "5.22.3")
set(CALENDARSUPPORT_LIB_VERSION "5.22.3")
set(EVENTVIEW_LIB_VERSION "5.22.3")
set(LIBKDEPIM_LIB_VERSION "5.22.3")
set(KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION "5.22.3")
set(LIBKLEO_LIB_VERSION "5.22.3")
set(AKONADI_LIB_VERSION "5.22.3")
set(INCIDENCEEDITOR_LIB_VERSION "5.22.3")
set(KTNEF_LIB_VERSION "5.22.3")
set(MESSAGELIB_LIB_VERSION "5.22.3")
set(AKONADICALENDAR_LIB_VERSION "5.22.3")
set(CALENDAR_UTILS_VERSION "5.22.3")
set(KPIMTEXTEDIT_LIB_VERSION "5.22.3")
set(KIMAP_LIB_VERSION "5.22.3")
set(LIBKSIEVE_LIB_VERSION "5.22.3")
set(KMAILTRANSPORT_LIB_VERSION "5.22.3")
set(AKONADICONTACT_LIB_VERSION "5.22.3")
set(IMPORTWIZARD_LIB_VERSION "5.22.3")
set(MAILIMPORTER_LIB_VERSION "5.22.3")
set(KPIMPKPASS_LIB_VERSION "5.22.3")
set(KPIMITINERARY_LIB_VERSION "5.22.3")
set(AKONADINOTES_LIB_VERSION "5.22.3")
find_package(KF5AkonadiNotes ${AKONADINOTES_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarUtils ${CALENDAR_UTILS_VERSION} CONFIG REQUIRED)
find_package(KF5WebEngineViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5TemplateParser ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailCommon ${MAILCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPimAddressbookImportExport ${KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IncidenceEditor ${INCIDENCEEDITOR_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageCore ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageComposer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageList ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5EventViews ${EVENTVIEW_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Gravatar ${GRAVATAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${KIDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5LibKSieve ${LIBKSIEVE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Tnef ${KTNEF_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailTransportAkonadi ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5ContactEditor ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPimImportWizard ${IMPORTWIZARD_LIB_VERSION} CONFIG)
find_package(KF5MailImporterAkonadi ${MAILIMPORTER_LIB_VERSION} CONFIG REQUIRED)
find_package(KPimPkPass ${KPIMPKPASS_LIB_VERSION} CONFIG REQUIRED)
find_package(KPimItinerary ${KPIMITINERARY_LIB_VERSION} CONFIG REQUIRED)

if (QT_MAJOR_VERSION STREQUAL "5")
    find_package(Grantlee5 "5.2" CONFIG REQUIRED)
    set(TEMPLATES_LIB Grantlee5::Templates)
else()
    find_package(KF6TextTemplate ${KF5_MIN_VERSION} CONFIG REQUIRED)
    set(TEMPLATES_LIB KF6TextTemplate::Templates)
endif()

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif(BUILD_TESTING)

if(KDEPIM_ENTERPRISE_BUILD)
  set(KDEPIM_ENTERPRISE_BUILD true)
else()
  set(KDEPIM_ENTERPRISE_BUILD false)
endif()

# Extra package
find_package(Gpgmepp 1.16.0 CONFIG)
set_package_properties(Gpgmepp PROPERTIES DESCRIPTION "GpgME library" URL "https://www.gnupg.org" TYPE REQUIRED)
ecm_set_disabled_deprecation_versions(QT 5.14.0 KF 5.99.0)


option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(QTCREATOR_TEMPLATE_INSTALL_DIR ${KDE_INSTALL_DATADIR}/qtcreator/templates CACHE PATH "Define qtcreator template install path (default is /usr/share/qtcreator/templates)")

find_package(Discount "2")
set_package_properties("discount" PROPERTIES
        DESCRIPTION "A library that gives you formatting functions suitable for marking down entire documents or lines of text"
        URL "https://www.pell.portland.or.us/~orc/Code/discount/"
        TYPE RECOMMENDED
        PURPOSE "Generate Markdown file.")

if(discount_FOUND)
   if (${PC_LIBMARKDOWN_VERSION})
      if (${PC_LIBMARKDOWN_VERSION} VERSION_GREATER "2.2.5")
           set(DISCOUNT_HAS_HIGHLIGHTING_SUPPORT TRUE)
           MESSAGE(STATUS "Discount ${PC_LIBMARKDOWN_VERSION}: has highlighting support")
      endif()
   endif()
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

add_subdirectory(plugins)
add_subdirectory(korganizer)
add_subdirectory(kmail)
add_subdirectory(kaddressbook)
add_subdirectory(sieveeditor)
add_subdirectory(kmailtransport)
if(KPimImportWizard_FOUND)
  add_subdirectory(akonadi-import-wizard)
endif()

ecm_qt_install_logging_categories(
    EXPORT KDEPIMADDONS
    FILE kdepim-addons.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
    )
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== plugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2022 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_subdirectory(customtoolsplugins)
add_subdirectory(messageviewerplugins)
add_subdirectory(messageviewerheaderplugins)
add_subdirectory(messageviewer)
add_subdirectory(plasma)

add_subdirectory(webengineurlinterceptor)
add_subdirectory(templateparser)
add_subdirectory(messageviewerconfigureplugins)

=== sieveeditor/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2022 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"sieveeditor_plugins\")
add_subdirectory(imapfoldercompletion)
add_subdirectory(emaillineedit)

=== akonadi-import-wizard/evolutionv1/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019-2022 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

kcoreaddons_add_plugin(evolutionv1importerplugin SOURCES
    evolutionv1importdata.cpp evolutionv1importdata.h INSTALL_NAMESPACE pim${QT_MAJOR_VERSION}/importwizard)


target_link_libraries(evolutionv1importerplugin
  KPim::ImportWizard
  KF5::XmlGui
  KF5::I18n
  KF5::Contacts
  KF5::MailImporterAkonadi
  KF5::MailTransport
  KF5::MailCommon
  KF5::IdentityManagement
  KF5::MessageViewer
)

=== akonadi-import-wizard/oe/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019-2022 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

set(oeimporter_SRCS
   oeimportdata.cpp  
)

kcoreaddons_add_plugin(oeimporterplugin SOURCES
    ${oeimporter_SRCS} INSTALL_NAMESPACE importwizard)


target_link_libraries(oeimporterplugin
  KPim::ImportWizard
  KF5::XmlGui
  KF5::I18n
  KF5::Contacts
  KF5::MailImporterAkonadi
  KF5::MailTransport
  KF5::IdentityManagement
  KF5::MailCommon
)

=== kaddressbook/editorpages/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"cryptopageplugin\")

########### next target ###############
add_library(cryptopageplugin MODULE)
target_sources(cryptopageplugin PRIVATE cryptopageplugin.cpp cryptopageplugin.h)

target_link_libraries(cryptopageplugin KF5::Contacts KF5::ContactEditor KF5::Libkleo KF5::IconThemes KF5::I18n KF5::Completion Gpgmepp)

install(TARGETS cryptopageplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim${QT_MAJOR_VERSION}/contacteditor/editorpageplugins/)

=== kaddressbook/importexportplugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kaddressbook_importexportplugins\")

add_definitions(-DQGPGME_FOUND)

add_subdirectory(vcards)
add_subdirectory(csv)
add_subdirectory(gmx)
add_subdirectory(ldap)
add_subdirectory(ldif)
add_subdirectory(windows-contacts)

=== kmail/checkbeforedeletemailplugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021-2022 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kmail_checkbeforedeleting_pluginsS\")
add_subdirectory(confirmbeforedeleting)

=== kmail/editorplugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2022 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kmail_editor_plugins\")
add_subdirectory(insertspecialcharacter)
add_subdirectory(changecase)
add_subdirectory(zoomtext)
add_subdirectory(nonbreakingspace)
add_subdirectory(autocorrection)
add_subdirectory(insertemail)
add_subdirectory(insertshorturl)
add_subdirectory(sharetext)
add_subdirectory(qtcreator-template)
add_subdirectory(quicktext)

=== kmail/grammarplugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019-2022 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kmail_editorgrammar_plugins\")
add_subdirectory(grammarcommon)
add_subdirectory(grammalecte)
add_subdirectory(languagetool)

=== kmail/plugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2022 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kmail_plugins\")
add_subdirectory(antispamplugin)
add_subdirectory(antivirusplugin)
add_subdirectory(common/avscripts)
add_subdirectory(expertplugin)
add_subdirectory(mailmergeplugin)
add_subdirectory(akonadidatabasetools)

install(FILES common/kmail.antispamrc common/kmail.antivirusrc   DESTINATION ${KDE_INSTALL_CONFDIR})

=== kmailtransport/sendmail/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2022 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
kcoreaddons_add_plugin(mailtransport_sendplugin INSTALL_NAMESPACE "pim${QT_MAJOR_VERSION}/mailtransport")

target_sources(mailtransport_sendplugin PRIVATE
    sendmailtransportplugin.cpp
    sendmailjob.cpp
    sendmailconfigwidget.cpp
    sendmailconfigdialog.cpp
    sendmailtransportplugin.h
    sendmailjob.h
    sendmailconfigwidget.h
    sendmailconfigdialog.h
    )

ecm_qt_declare_logging_category(mailtransport_sendplugin HEADER sendmailplugin_debug.h IDENTIFIER MAILTRANSPORT_PLUGIN_LOG CATEGORY_NAME org.kde.pim.mailtransport_sendmail
    DESCRIPTION "kdepim-addons (kmailtransport sendmail plugin)"
    EXPORT KDEPIMADDONS
    )


ki18n_wrap_ui(mailtransport_sendplugin
    sendmailsettings.ui
    )
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(mailtransport_sendplugin PROPERTIES UNITY_BUILD ON)
endif()

target_link_libraries(mailtransport_sendplugin
    KF5::MailTransport
    KF5::CoreAddons
    KF5::I18n
    KF5::ConfigWidgets
    KF5::KIOWidgets
    )

=== debian/changelog ===
kdepim-addons (22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:34:14 +0100

kdepim-addons (22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:29:01 +0100

kdepim-addons (22.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Jan 2023 21:35:41 +0100

kdepim-addons (22.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Dec 2022 21:07:23 +0100

=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.99.0~),
               gettext,
               libgpgmepp-dev (>= 1.16.0~),
               libgrantlee5-dev (>= 5.2.0~),
               libkf5akonadi-dev (>= 4:22.12.3~),
               libkf5akonadicalendar-dev (>= 4:22.12.3~),
               libkf5akonadicontact-dev (>= 4:22.12.3~),
               libkf5akonadinotes-dev (>= 4:22.12.3~),
               libkf5calendarcore-dev (>= 5:5.99.0~),
               libkf5calendarsupport-dev (>= 4:22.12.3~),
               libkf5calendarutils-dev (>= 4:22.12.3~),
               libkf5config-dev (>= 5.99.0~),
               libkf5contacteditor-dev (>= 4:22.12.3~),
               libkf5contacts-dev (>= 5:5.99.0~),
               libkf5dbusaddons-dev (>= 5.99.0~),
               libkf5declarative-dev (>= 5.99.0~),
               libkf5eventviews-dev (>= 4:22.12.3~),
               libkf5grantleetheme-dev (>= 22.12.3~),
               libkf5gravatar-dev (>= 4:22.12.3~),
               libkf5guiaddons-dev (>= 5.99.0~),
               libkf5holidays-dev (>= 1:5.99.0~),
               libkf5i18n-dev (>= 5.99.0~),
               libkf5iconthemes-dev (>= 5.99.0~),
               libkf5identitymanagement-dev (>= 22.12.3~),
               libkf5imap-dev (>= 22.12.3~),
               libkf5incidenceeditor-dev (>= 22.12.3~),
               libkf5kio-dev (>= 5.99.0~),
               libkf5ksieve-dev (>= 4:22.12.3~),
               libkf5libkdepim-dev (>= 4:22.12.3~),
               libkf5libkleo-dev (>= 4:22.12.3~),
               libkf5mailcommon-dev (>= 4:22.12.3~),
               libkf5mailimporter-dev (>= 4:22.12.3~),
               libkf5mailtransport-dev (>= 22.12.3~),
               libkf5messagecomposer-dev (>= 4:22.12.3~),
               libkf5messagecore-dev (>= 4:22.12.3~),
               libkf5messagelist-dev (>= 4:22.12.3~),
               libkf5messageviewer-dev (>= 4:22.12.3~),
               libkf5parts-dev (>= 5.99.0~),
               libkf5pimcommon-dev (>= 4:22.12.3~),
               libkf5pimtextedit-dev (>= 22.12.3~),
               libkf5prison-dev (>= 5.99.0~),
               libkf5syntaxhighlighting-dev (>= 5.99.0~),
               libkf5templateparser-dev (>= 4:22.12.3~),
               libkf5tnef-dev (>= 4:22.12.3~),
               libkf5webengineviewer-dev (>= 4:22.12.3~),
               libkf5xmlgui-dev (>= 5.99.0~),
               libkpimaddressbookimportexport-dev (>= 4:22.12.3~),
               libkpimimportwizard-dev (>= 4:22.12.3~),
               libkpimitinerary-dev (>= 22.12.3~),
               libkpimpkpass-dev (>= 22.12.3~),
               libmarkdown2-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
               qtwebengine5-dev (>= 5.15.2~),
               shared-mime-info (>= 1.0~),
               xauth,
               xvfb,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/pim/kdepim-addons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdepim-addons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdepim-addons.git
Rules-Requires-Root: no

Package: kdepim-addons
Architecture: any
Multi-Arch: same
Depends: plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# broken at the moment
	:

## kdepim-addons 23.04.1

=== debian/changelog ===
kdepim-addons (23.04.1-0xneon+22.04+jammy+release+build40) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 May 2023 16:53:49 +0000

kdepim-addons (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 18:46:36 +0000

kdepim-addons (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:10:34 +0000

kdepim-addons (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:43:54 +0000

kdepim-addons (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:18:15 +0000

kdepim-addons (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:26:04 +0000

kdepim-addons (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:48:03 +0000

kdepim-addons (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:14:57 +0000

kdepim-addons (22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:50:49 +0000

kdepim-addons (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:37:26 +0000

kdepim-addons (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:00:53 +0000

kdepim-addons (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:55:53 +0000

kdepim-addons (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:09:19 +0000

kdepim-addons (21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 10:58:43 +0000

kdepim-addons (21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:01:42 +0000

kdepim-addons (21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:13:29 +0000

kdepim-addons (21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:32:15 +0000

kdepim-addons (21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:42:59 +0000

kdepim-addons (21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:53:14 +0000

kdepim-addons (21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021.12.03:25 +0000

kdepim-addons (21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:54:06 +0000

kdepim-addons (21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:22:01 +0000

kdepim-addons (20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 12:59:51 +0000

kdepim-addons (20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:13:30 +0000

kdepim-addons (20.12.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jan 2021.12.25:50 +0000

kdepim-addons (20.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Dec 2020 13:33:51 +0000

kdepim-addons (20.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Nov 2020 07:07:29 +0000

kdepim-addons (20.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Oct 2020 10:22:12 +0000

kdepim-addons (20.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Sep 2020 11:22:30 +0000

kdepim-addons (20.08.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Aug 2020 09:16:05 +0000

kdepim-addons (20.04.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jul 2020 09:39:03 +0000

kdepim-addons (20.04.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 17 May 2020 22:23:42 +0000

kdepim-addons (20.04.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Apr 2020 17:46:25 +0000

kdepim-addons (19.12.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Mar 2020 10:58:58 +0000

kdepim-addons (19.12.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Feb 2020 13:45:14 +0000

kdepim-addons (19.12.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Jan 2020 17:15:18 +0000

kdepim-addons (19.12.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Dec 2019 18:52:31 +0000

kdepim-addons (19.08.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Nov 2019 10:10:31 +0000

kdepim-addons (19.08.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 09 Oct 2019 18:08:56 +0000

kdepim-addons (19.08.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Sep 2019 14:22:29 +0000

kdepim-addons (19.08.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 13 Aug 2019 13:20:25 +0000

kdepim-addons (19.04.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 Jul 2019 11:35:22 +0000

kdepim-addons (19.04.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Jun 2019 10:00:10 +0000

kdepim-addons (19.04.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 May 2019 06:41:32 +0000

kdepim-addons (19.04.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Apr 2019 14:11:09 +0000

kdepim-addons (18.12.3-0neon) bionic; urgency=medium


=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               kaddressbook,
               libgpgme-dev | libgpgme11-dev,
               libkf5akonadi-dev (>= 4:5.2.0~),
               libkf5akonadinotes-dev (>= 5.2.0~),
               libkf5calendarsupport-dev (>= 5.2.0~),
               libkf5config-dev (>= 5.19.0~),
               libkf5contacteditor-dev (>= 17.04.0~),
               libkf5dbusaddons-dev (>= 5.19.0~),
               libkf5declarative-dev,
               libkf5eventviews-dev (>= 5.2.0~),
               libkf5grantleetheme-dev (>= 5.2.0~),
               libkf5gravatar-dev (>= 5.2.0~),
               libkf5holidays-dev,
               libkf5i18n-dev (>= 5.19.0~),
               libkf5incidenceeditor-dev (>= 5.2.0~),
               libkf5khtml-dev (>= 5.19.0~),
               libkf5kontactinterface-dev,
               libkf5ksieve-dev,
               libkf5ktextaddons-dev,
               libkf5libkdepim-dev (>= 5.2.0~),
               libkf5libkleo-dev (>= 5.2.0~),
               libkf5mailcommon-dev (>= 4:5.2.0~),
               libkf5mailimporter-dev,
               libkf5messagecomposer-dev (>= 5.2.0~),
               libkf5messagecore-dev (>= 5.2.0~),
               libkf5messagelist-dev (>= 5.2.0~),
               libkf5messageviewer-dev (>= 5.2.0~),
               libkf5mimetreeparser-dev,
               libkf5pimcommon-dev (>= 5.2.0~),
               libkf5pimtextedittexttospeech-dev,
               libkf5prison-dev,
               libkf5templateparser-dev,
               libkf5tnef-dev (>= 5.2.0~),
               libkf5webengineviewer-dev,
               libkf5xmlgui-dev (>= 5.19.0~),
               libkpimgapi-dev (>= 4.72.0~),
               libkpimimportwizard-dev,
               libkpimitinerary-dev,
               libkpimpkpass-dev,
               libmarkdown2-dev,
               libpoppler-qt5-dev,
               libqt5webchannel5-dev | libqt5webchannel-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.5.0~),
               qtwebengine5-dev | libqt5webengine5-dev
Standards-Version: 3.9.8
Homepage: https://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kdepim-addons.git
Vcs-Browser: https://invent.kde.org/neon/kde/kdepim-addons
Maintainer: Neon CI <neon@kde.org>

Package: kdepim-addons
Architecture: any
Depends: plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kaddressbook (<= 4:16.04),
        kmail (<= 4:16.08),
        korganizer (<= 4:16.04),
        libkf5messageviewer5 (<< 4:16.12.0),
        libkf5pimcommon5 (<= 4:16.04),
        ${kde-l10n:all}
Replaces: kaddressbook (<= 4:16.04),
          kmail (<= 4:16.08),
          korganizer (<= 4:16.04),
          libkf5messageviewer5 (<< 4:16.12.0),
          libkf5pimcommon5 (<= 4:16.04),
          ${kde-l10n:all}
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.

=== debian/tests/control ===
Tests: testsuite
Depends: akonadi-backend-sqlite,
         akonadi-server,
         build-essential,
         dbus-x11,
         kded5,
         kinit,
         libgl1-mesa-dri,
         libkf5akonadi-dev-bin,
         libkf5akonadisearch-bin,
         openbox,
         oxygen5-icon-theme,
         plasma-workspace,
         xauth,
         xvfb,
         @,
         @builddeps@
Restrictions: build-needed

## kdepim-addons 23.08.1

=== debian/changelog ===
kdepim-addons (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:58:12 +0100

kdepim-addons (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:53:06 +0100

kdepim-addons (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:32:58 +0100

kdepim-addons (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:45:39 +0100

kdepim-addons (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Add libkf5textaddons-dev to Build-Depends
  * Update lintian overrides
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 12:59:05 +0100

kdepim-addons (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:37:06 +0000

kdepim-addons (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:15:15 -0600

kdepim-addons (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:25:32 +0000

kdepim-addons (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:08:13 +0000

kdepim-addons (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:04:32 +0000

kdepim-addons (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 10:39:01 +0000

kdepim-addons (22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:08:04 +0000

=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               kaddressbook (>= 4:23.08.1~),
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.1~),
               libkf5akonadi-dev (>= 4:23.08.1~),
               libkf5akonadinotes-dev (>= 4:23.08.1~),
               libkf5calendarsupport-dev (>= 4:23.08.1~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:23.08.1~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5eventviews-dev (>= 4:23.08.1~),
               libkf5grantleetheme-dev (>= 23.08.1~),
               libkf5gravatar-dev (>= 4:23.08.1~),
               libkf5holidays-dev,
               libkf5i18n-dev (>= 5.31.0~),
               libkf5incidenceeditor-dev (>= 23.08.1~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5kontactinterface-dev (>= 23.08.1~),
               libkf5ksieve-dev (>= 4:23.08.1~),
               libkf5libkdepim-dev (>= 4:23.08.1~),
               libkf5libkleo-dev (>= 4:23.08.1~),
               libkf5mailcommon-dev (>= 4:23.08.1~),
               libkf5mailimporter-dev (>= 4:23.08.1~),
               libkf5messagecomposer-dev (>= 4:23.08.1~),
               libkf5messagecore-dev (>= 4:23.08.1~),
               libkf5messagelist-dev (>= 4:23.08.1~),
               libkf5messageviewer-dev (>= 4:23.08.1~),
               libkf5mimetreeparser-dev (>= 4:23.08.1~),
               libkf5pimcommon-dev (>= 4:23.08.1~),
               libkf5prison-dev (>= 5.39.0~),
               libkf5syntaxhighlighting-dev,
               libkf5templateparser-dev (>= 4:23.08.1~),
               libkf5textaddons-dev,
               libkf5tnef-dev (>= 4:23.08.1~),
               libkf5webengineviewer-dev (>= 4:23.08.1~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkpimgapi-dev (>= 23.08.1~),
               libkpimimportwizard-dev (>= 4:23.08.1~),
               libkpimitinerary-dev (>= 23.08.1~),
               libkpimpkpass-dev (>= 23.08.1~),
               libmarkdown2-dev (>= 2),
               libpoppler-qt5-dev,
               libqt5webchannel5-dev (>= 5.6.1~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: https://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons

Package: kdepim-addons
Architecture: any
Depends: plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kaddressbook (<= 4:16.04),
        kmail (<= 4:16.08.2),
        korganizer (<= 4:16.04),
        libkf5contacteditor-data (<= 4:17.12),
        libkf5messageviewer5 (<= 4:16.04),
        libkf5pimcommon5 (<= 4:16.04),
        ${kde-l10n:all},
Replaces: kaddressbook (<= 4:16.04),
          kmail (<= 4:16.08.2),
          korganizer (<= 4:16.04),
          libkf5contacteditor-data (<= 4:17.12),
          libkf5messageviewer5 (<= 4:16.04),
          libkf5pimcommon5 (<= 4:16.04),
          ${kde-l10n:all},
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.

## kdepim-addons 23.08.4

=== debian/changelog ===
kdepim-addons (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:14:21 +0000

kdepim-addons (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:33:52 +0000

kdepim-addons (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:30:08 +0100

=== debian/control ===
--- 
+++ 
@@ -7,46 +7,46 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
-               kaddressbook (>= 4:23.08.1~),
+               kaddressbook (>= 4:23.08.4~),
                libgpgme-dev,
                libgpgmepp-dev (>= 1.7.1~),
-               libkf5akonadi-dev (>= 4:23.08.1~),
-               libkf5akonadinotes-dev (>= 4:23.08.1~),
-               libkf5calendarsupport-dev (>= 4:23.08.1~),
+               libkf5akonadi-dev (>= 4:23.08.4~),
+               libkf5akonadinotes-dev (>= 4:23.08.4~),
+               libkf5calendarsupport-dev (>= 4:23.08.4~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:23.08.1~),
+               libkf5contacteditor-dev (>= 4:23.08.4~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5declarative-dev (>= 5.31.0~),
-               libkf5eventviews-dev (>= 4:23.08.1~),
-               libkf5grantleetheme-dev (>= 23.08.1~),
-               libkf5gravatar-dev (>= 4:23.08.1~),
+               libkf5eventviews-dev (>= 4:23.08.4~),
+               libkf5grantleetheme-dev (>= 23.08.4~),
+               libkf5gravatar-dev (>= 4:23.08.4~),
                libkf5holidays-dev,
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5incidenceeditor-dev (>= 23.08.1~),
+               libkf5incidenceeditor-dev (>= 23.08.4~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5kontactinterface-dev (>= 23.08.1~),
-               libkf5ksieve-dev (>= 4:23.08.1~),
-               libkf5libkdepim-dev (>= 4:23.08.1~),
-               libkf5libkleo-dev (>= 4:23.08.1~),
-               libkf5mailcommon-dev (>= 4:23.08.1~),
-               libkf5mailimporter-dev (>= 4:23.08.1~),
-               libkf5messagecomposer-dev (>= 4:23.08.1~),
-               libkf5messagecore-dev (>= 4:23.08.1~),
-               libkf5messagelist-dev (>= 4:23.08.1~),
-               libkf5messageviewer-dev (>= 4:23.08.1~),
-               libkf5mimetreeparser-dev (>= 4:23.08.1~),
-               libkf5pimcommon-dev (>= 4:23.08.1~),
+               libkf5kontactinterface-dev (>= 23.08.4~),
+               libkf5ksieve-dev (>= 4:23.08.4~),
+               libkf5libkdepim-dev (>= 4:23.08.4~),
+               libkf5libkleo-dev (>= 4:23.08.4~),
+               libkf5mailcommon-dev (>= 4:23.08.4~),
+               libkf5mailimporter-dev (>= 4:23.08.4~),
+               libkf5messagecomposer-dev (>= 4:23.08.4~),
+               libkf5messagecore-dev (>= 4:23.08.4~),
+               libkf5messagelist-dev (>= 4:23.08.4~),
+               libkf5messageviewer-dev (>= 4:23.08.4~),
+               libkf5mimetreeparser-dev (>= 4:23.08.4~),
+               libkf5pimcommon-dev (>= 4:23.08.4~),
                libkf5prison-dev (>= 5.39.0~),
                libkf5syntaxhighlighting-dev,
-               libkf5templateparser-dev (>= 4:23.08.1~),
+               libkf5templateparser-dev (>= 4:23.08.4~),
                libkf5textaddons-dev,
-               libkf5tnef-dev (>= 4:23.08.1~),
-               libkf5webengineviewer-dev (>= 4:23.08.1~),
+               libkf5tnef-dev (>= 4:23.08.4~),
+               libkf5webengineviewer-dev (>= 4:23.08.4~),
                libkf5xmlgui-dev (>= 5.31.0~),
-               libkpimgapi-dev (>= 23.08.1~),
-               libkpimimportwizard-dev (>= 4:23.08.1~),
-               libkpimitinerary-dev (>= 23.08.1~),
-               libkpimpkpass-dev (>= 23.08.1~),
+               libkpimgapi-dev (>= 23.08.4~),
+               libkpimimportwizard-dev (>= 4:23.08.4~),
+               libkpimitinerary-dev (>= 23.08.4~),
+               libkpimpkpass-dev (>= 23.08.4~),
                libmarkdown2-dev (>= 2),
                libpoppler-qt5-dev,
                libqt5webchannel5-dev (>= 5.6.1~),
